Foreman - Feature #6549

Core tests should be disable-able from plugins
07/09/2014 12:35 PM - Greg Sultcliffe

Status:
Priority:
Assignee:

Category:

Closed
Normal
Greg Sutcliffe

Plugin integration

Target version: 1.7.0
Difficulty: medium Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/1576
Description

Sometime plugins need to modify tests. Consider this scenario:

Core (psuedocode):

test "a thing" do
assert Hosts page should have one menu entry containing "Hosts"

end

This will pass, as we have just "All Hosts" by default. Now add the Discovery plugin, and this test will fail, as now we have "All Hosts"

and "Discovered Hosts"

In general, we need a way for plugins to tell core that certain tests no longer make sense while the plugin is present - we assume the
plugin itself will contain tests for the new/modified functionality

Related issues:

Related to Foreman - Bug #11025: Test runner isn't run when using the Jenkins...

Closed 07/06/2015

Associated revisions

Revision c4741504 - 09/30/2014 07:10 AM - Greg Sutcliffe
Fixes #6549 - Add :tests_to_skip to plugin registration block

Revision 088c656e - 10/20/2014 01:24 PM - Eric Helms

Refs #6549: Ensure tests to skip exist to avoid too deep stack.

History

#1 - 07/09/2014 12:51 PM - Greg Sutcliffe

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1576

#2 - 07/16/2014 12:19 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/1576 added

#3 - 07/30/2014 06:50 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#4 - 08/20/2014 06:50 AM - Anonymous

- Target version changed from 1.7.5t0 1.7.4

#5 - 09/10/2014 07:21 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3
https://github.com/theforeman/foreman/pull/1576

#6 - 09/30/2014 07:11 AM - Dominic Cleal

- translation missing: en.field_release set to 21

#7 - 09/30/2014 08:02 AM - Greg Sutcliffe
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset c4741504ec7d4bae511c02aal1f708bb29f80057b.

#8 - 07/06/2015 10:30 AM - Dominic Cleal

- Related to Bug #11025: Test runner isn't run when using the Jenkins test tasks added
